using System;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace VoteApp.Pages
{
    public class UserModel : PageModel
    {
        public int login = 0;
        public string loginName = "";
        public const string SessionKeyLogin = "_Login";
        public string SessionInfo_Login { get; private set; }

        public const string SessionKeyLoginName = "_LoginName";
        public string SessionInfo_LoginName { get; private set; }

        public void OnGet()
        {
            if (!string.IsNullOrEmpty(HttpContext.Session.GetString(SessionKeyLogin)))
                login = (int)HttpContext.Session.GetInt32(SessionKeyLogin);

            if (!string.IsNullOrEmpty(HttpContext.Session.GetString(SessionKeyLoginName)))
                loginName = (string)HttpContext.Session.GetString(SessionKeyLoginName);
        }
    }
}
