using System;
using System.Collections.Generic;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class VotesModel : PageModel
    {
        readonly IConfiguration _configuration;

        public List<Vote> voteResults = new List<Vote>();

        private string connectionString;

        public VotesModel(IConfiguration configuration)
        {
            _configuration = configuration;

        }
        public void OnGet()
        {
            voteResults = GetVoteList();
        }

        private List<Vote> GetVoteList()
        {
            connectionString = _configuration.GetConnectionString("ConnectionString");

            List<Vote> voteList = new List<Vote>();

            Vote vote = new Vote();

            voteList = vote.GetVoteResults(connectionString);

            return voteList;
        }
    }
}
